Modify

Opened 6 years ago

Closed 3 years ago

#8997 closed defect (worksforme)

AssertionError in zooming ("the new range must be within a single subrange" in mappaint.StyleCache)

Reported by: grinapo Owned by: team
Priority: normal Milestone:
Component: Core mappaint Version:
Keywords: Cc: bastiK

Description (last modified by Don-vip)

This bug exists for more than half a year I guess but I usually don't handle it well due to the dozens of popup crash windows in the middle of some large edit.

It always happen when I zoom in substreet level, bing layer active. There is usually some element (street) selected.

If I try to move or just wait, more crash happens. If I'm lucky to be able to zoom out the popup masses stop popping.

Exists in all current versions I guess.

Reproduction is hard: it doesn't happen for weeks or happens every 5 minutes.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-08-20 01:34:45
Last Changed Author: Don-vip
Revision: 6158
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-08-20 00:47:41 +0200 (Tue, 20 Aug 2013)
Last Changed Rev: 6158

Identification: JOSM/1.5 (6158 en) Linux Debian GNU/Linux unstable (sid)
Memory Usage: 259 MB / 1765 MB (30 MB allocated, but free)
Java version: 1.7.0_25, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-7-jre:amd64-7u25-2.3.12-2
VM arguments: [-Xbootclasspath/a:/usr/share/icedtea-web/netx.jar:/usr/share/java/js.jar, -Xms8m, -Dicedtea-web.bin.name=javaws, -Dicedtea-web.bin.location=/usr/bin/javaws, -Djava.security.manager, -Djava.security.policy=/etc/icedtea-web/javaws.policy]
Dataset consistency test: No problems found

Plugin: AddrInterpolation (29778)
Plugin: DirectUpload (29778)
Plugin: ElevationProfile (29611)
Plugin: FixAddresses (29778)
Plugin: HouseNumberTaggingTool (29778)
Plugin: InfoMode (29435)
Plugin: PicLayer (29809)
Plugin: RoadSigns (29699)
Plugin: alignways (29771)
Plugin: buildings_tools (29778)
Plugin: dataimport (29435)
Plugin: download_along (29778)
Plugin: editgpx (29596)
Plugin: fieldpapers (b49dadd)
Plugin: gpsblam (29435)
Plugin: graphview (29525)
Plugin: junctionchecking (29596)
Plugin: log4j (29435)
Plugin: mapdust (29525)
Plugin: measurement (29750)
Plugin: notes (0.3-8-g03135df)
Plugin: openstreetbugs (29435)
Plugin: osmarender (29639)
Plugin: pbf (29708)
Plugin: photo_geotagging (29435)
Plugin: reltoolbox (29535)
Plugin: reverter (29771)
Plugin: routing (29784)
Plugin: scripting (30540)
Plugin: tageditor (29435)
Plugin: turnlanes (29435)
Plugin: turnrestrictions (29435)
Plugin: undelete (29555)
Plugin: utilsplugin2 (29771)
Plugin: videomapping (29784)
Plugin: walkingpapers (29805)
Plugin: waypoint_search (29435)
Plugin: wayselector (29771)

java.lang.AssertionError: the new range must be within a single subrange
	at org.openstreetmap.josm.gui.mappaint.StyleCache.putImpl(StyleCache.java:161)
	at org.openstreetmap.josm.gui.mappaint.StyleCache.put(StyleCache.java:139)
	at org.openstreetmap.josm.gui.mappaint.StyleCache.put(StyleCache.java:130)
	at org.openstreetmap.josm.gui.mappaint.ElemStyles.getStyleCacheWithRange(ElemStyles.java:115)
	at org.openstreetmap.josm.gui.mappaint.ElemStyles.get(ElemStyles.java:54)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer$StyleCollector.add(StyledMapRenderer.java:191)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.collectRelationStyles(StyledMapRenderer.java:402)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.render(StyledMapRenderer.java:1423)
	at org.openstreetmap.josm.gui.layer.OsmDataLayer.paint(OsmDataLayer.java:320)
	at org.openstreetmap.josm.gui.MapView.paintLayer(MapView.java:533)
	at org.openstreetmap.josm.gui.MapView.paint(MapView.java:628)
	at javax.swing.JComponent.paintChildren(JComponent.java:878)
	at javax.swing.JComponent.paint(JComponent.java:1054)
	at javax.swing.JComponent.paintToOffscreen(JComponent.java:5212)
	at javax.swing.BufferStrategyPaintManager.paint(BufferStrategyPaintManager.java:295)
	at javax.swing.RepaintManager.paint(RepaintManager.java:1236)
	at javax.swing.JComponent._paintImmediately(JComponent.java:5160)
	at javax.swing.JComponent.paintImmediately(JComponent.java:4971)
	at javax.swing.RepaintManager$3.run(RepaintManager.java:796)
	at javax.swing.RepaintManager$3.run(RepaintManager.java:784)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:784)
	at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:757)
	at javax.swing.RepaintManager.prePaintDirtyRegions(RepaintManager.java:706)
	at javax.swing.RepaintManager.access$1000(RepaintManager.java:62)
	at javax.swing.RepaintManager$ProcessingRunnable.run(RepaintManager.java:1647)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
	at java.awt.EventQueue.access$200(EventQueue.java:103)
	at java.awt.EventQueue$3.run(EventQueue.java:694)
	at java.awt.EventQueue$3.run(EventQueue.java:692)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)

Attachments (1)

josm001.jpg (473.6 KB) - added by grinapo 6 years ago.
Josm normal screenshot (same as when the bug triggers w/o the popup)

Download all attachments as: .zip

Change History (19)

comment:1 Changed 6 years ago by grinapo

Since I've reported it JOSM does it almost all the time. :-P

comment:2 Changed 6 years ago by Don-vip

Description: modified (diff)
Priority: majornormal
Summary: Crash in zooming (long-standing bug)AssertionError in zooming ("the new range must be within a single subrange" in mappaint.StyleCache)

What map styles have you enabled right now ?

comment:3 Changed 6 years ago by Don-vip

Cc: bastiK added

@bastiK: any immediate idea ?

comment:4 Changed 6 years ago by grinapo

comment:5 Changed 6 years ago by grinapo

But the idea seems to be on the right track: deactivating LaRA seems to have switched off the bug, reactivating it doesn't bring it back again. May be related, I'll try to check when it reappears.

Last edited 6 years ago by grinapo (previous) (diff)

comment:6 in reply to:  5 Changed 6 years ago by bastiK

Replying to grinapo:

But the idea seems to be on the right track: deactivating LaRA seems to have switched off the bug, reactivating it doesn't bring it back again. May be related, I'll try to check when it reappears.

My guess is, that the Bing background and the current selection does not matter, but the bug is triggered when you zoom in and out in a certain way. It is crucial, that we can reproduce the problem. Please note the location and the zoom level, next time the bug occurs. A screenshot might be helpful as well.

comment:7 Changed 6 years ago by grinapo

It is not exactly dependent on the exact zoom level, and I really cannot see how to tell what zoom level JOSM actually shows. The scale is around 50m. When the bug occurs zooming in not possible anymore (stays the same), zoomin out clears the error. Screen is the same as usual (apart from the bug popup), I'll attach one. I cannot trigger it by purpose but if there's any debugging output or whatever you would like me to do when it happens, just tell.

It may be important: it seems to be triggered by mousewheel zooming in, possibly fast through several zoom levels, maybe even skipping some, but I cannot just reproduce it by zooming in-out repeatedly.

Changed 6 years ago by grinapo

Attachment: josm001.jpg added

Josm normal screenshot (same as when the bug triggers w/o the popup)

comment:8 Changed 6 years ago by bastiK

Is this a screenshot directly after the bug occurred (unchanged location/scale)? What are your filters?

comment:9 Changed 6 years ago by grinapo

No but it is as close as my eyes serve me. ;-) [The bug happens most often around Z18 (not higher), sometimes up to Z16] The state is the same.

Filters are:
[E ] boundary=administrative
[EH] import_ref=OTrT
[E ] landuse=*

comment:10 Changed 6 years ago by bastiK

Could you please make another screenshot next time the error happens again? The coordinates in the status bar and the scale in the upper left corner should be visible.

Just zooming in and out is probably not enough to trigger the bug, but I guess a very specific order of displayed zoom levels is needed.

comment:11 Changed 6 years ago by bastiK

In 6211/josm:

see #8997 - add more debug output in case of error

comment:12 Changed 6 years ago by bastiK

I've added some debugging output, please use version >= 6211 and report a stack trace for the error.

comment:13 Changed 6 years ago by grinapo

I'll keep an eye on it.

comment:14 Changed 6 years ago by grinapo

This _may_ be different, as it has happened when updating the dataset from the server.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-09-07 01:35:57
Last Changed Author: Don-vip
Revision: 6219
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-09-06 22:33:35 +0200 (Fri, 06 Sep 2013)
Last Changed Rev: 6219

Identification: JOSM/1.5 (6219 en) Linux Debian GNU/Linux unstable (sid)
Memory Usage: 1282 MB / 1765 MB (269 MB allocated, but free)
Java version: 1.7.0_25, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-7-jre:amd64-7u25-2.3.12-2
VM arguments: [-Xbootclasspath/a:/usr/share/icedtea-web/netx.jar:/usr/share/java/js.jar, -Xms8m, -Dicedtea-web.bin.name=javaws, -Dicedtea-web.bin.location=/usr/bin/javaws, -Djava.security.manager, -Djava.security.policy=/etc/icedtea-web/javaws.policy]
Dataset consistency test: No problems found

Plugin: AddrInterpolation (29854)
Plugin: DirectUpload (29866)
Plugin: ElevationProfile (29854)
Plugin: FixAddresses (29854)
Plugin: HouseNumberTaggingTool (29854)
Plugin: InfoMode (29854)
Plugin: PicLayer (29854)
Plugin: RoadSigns (29854)
Plugin: alignways (29854)
Plugin: buildings_tools (29854)
Plugin: dataimport (29854)
Plugin: download_along (29854)
Plugin: editgpx (29854)
Plugin: ext_tools (29854)
Plugin: fieldpapers (b49dadd)
Plugin: gpsblam (29832)
Plugin: graphview (29854)
Plugin: junctionchecking (29854)
Plugin: log4j (29853)
Plugin: mapdust (29854)
Plugin: measurement (29854)
Plugin: notes (v0.5)
Plugin: osmarender (29639)
Plugin: pbf (29854)
Plugin: photo_geotagging (29854)
Plugin: reltoolbox (29854)
Plugin: reverter (29854)
Plugin: routing (29854)
Plugin: scripting (30540)
Plugin: tageditor (29854)
Plugin: turnlanes (29854)
Plugin: turnrestrictions (29854)
Plugin: undelete (29854)
Plugin: utilsplugin2 (29854)
Plugin: videomapping (29854)
Plugin: walkingpapers (29854)
Plugin: waypoint_search (29854)
Plugin: wayselector (29854)

java.lang.AssertionError: Range violated. object: relation 946157, current style: SC{[0.0, 238.86563848977013, Infinity] [null, [LineElemStyle{z_idx=[3.0/0.0/0.0] width=4.0 realWidth=0.0 color=#ff6600 dashed=[9.0] dashedColor=null linejoin=round linecap=none}]]}, scale: 48.68379987665761, new stylelist: [LineElemStyle{z_idx=[3.0/0.0/0.0] width=4.0 realWidth=0.0 color=#ff6600 dashed=[9.0] dashedColor=null linejoin=round linecap=none}], new range: |s0.0-Infinity

at org.openstreetmap.josm.gui.mappaint.ElemStyles.getStyleCacheWithRange(ElemStyles.java:118)
at org.openstreetmap.josm.gui.mappaint.ElemStyles.get(ElemStyles.java:54)
at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer$StyleCollector.add(StyledMapRenderer.java:192)
at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.collectRelationStyles(StyledMapRenderer.java:403)
at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.render(StyledMapRenderer.java:1421)
at org.openstreetmap.josm.gui.layer.OsmDataLayer.paint(OsmDataLayer.java:320)
at org.openstreetmap.josm.gui.MapView.paintLayer(MapView.java:533)
at org.openstreetmap.josm.gui.MapView.paint(MapView.java:628)
at javax.swing.JComponent.paintChildren(JComponent.java:878)
at javax.swing.JComponent.paint(JComponent.java:1054)
at javax.swing.JComponent.paintToOffscreen(JComponent.java:5212)
at javax.swing.BufferStrategyPaintManager.paint(BufferStrategyPaintManager.java:295)
at javax.swing.RepaintManager.paint(RepaintManager.java:1236)
at javax.swing.JComponent._paintImmediately(JComponent.java:5160)
at javax.swing.JComponent.paintImmediately(JComponent.java:4971)
at javax.swing.RepaintManager$3.run(RepaintManager.java:796)
at javax.swing.RepaintManager$3.run(RepaintManager.java:784)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:784)
at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:757)
at javax.swing.RepaintManager.prePaintDirtyRegions(RepaintManager.java:706)
at javax.swing.RepaintManager.access$1000(RepaintManager.java:62)
at javax.swing.RepaintManager$ProcessingRunnable.run(RepaintManager.java:1647)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
at java.awt.EventQueue.access$200(EventQueue.java:103)
at java.awt.EventQueue$3.run(EventQueue.java:694)
at java.awt.EventQueue$3.run(EventQueue.java:692)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:154)
at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:182)
at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:221)
at java.security.AccessController.doPrivileged(Native Method)
at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:219)
at java.awt.Dialog.show(Dialog.java:1082)
at java.awt.Component.show(Component.java:1651)
at java.awt.Component.setVisible(Component.java:1603)
at java.awt.Window.setVisible(Window.java:1014)
at java.awt.Dialog.setVisible(Dialog.java:1005)
at org.openstreetmap.josm.gui.HelpAwareOptionPane.showOptionDialog(HelpAwareOptionPane.java:301)
at org.openstreetmap.josm.gui.dialogs.ConflictDialog$4.run(ConflictDialog.java:497)
at org.openstreetmap.josm.gui.util.GuiHelper.runInEDT(GuiHelper.java:66)
at org.openstreetmap.josm.gui.dialogs.ConflictDialog.warnNumNewConflicts(ConflictDialog.java:494)
at org.openstreetmap.josm.gui.layer.OsmDataLayer.mergeFrom(OsmDataLayer.java:415)
at org.openstreetmap.josm.gui.layer.OsmDataLayer.mergeFrom(OsmDataLayer.java:358)
at org.openstreetmap.josm.gui.io.UpdatePrimitivesTask$1.run(UpdatePrimitivesTask.java:83)
at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWait(GuiHelper.java:74)
at org.openstreetmap.josm.gui.io.UpdatePrimitivesTask.finish(UpdatePrimitivesTask.java:80)
at org.openstreetmap.josm.gui.PleaseWaitRunnable$1.run(PleaseWaitRunnable.java:90)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:241)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
at java.awt.EventQueue.access$200(EventQueue.java:103)
at java.awt.EventQueue$3.run(EventQueue.java:694)
at java.awt.EventQueue$3.run(EventQueue.java:692)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:154)
at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:182)
at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:221)
at java.security.AccessController.doPrivileged(Native Method)
at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:219)
at java.awt.Dialog.show(Dialog.java:1082)
at java.awt.Component.show(Component.java:1651)
at java.awt.Component.setVisible(Component.java:1603)
at java.awt.Window.setVisible(Window.java:1014)
at java.awt.Dialog.setVisible(Dialog.java:1005)
at org.openstreetmap.josm.gui.progress.PleaseWaitProgressMonitor$4.run(PleaseWaitProgressMonitor.java:172)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
at java.awt.EventQueue.access$200(EventQueue.java:103)
at java.awt.EventQueue$3.run(EventQueue.java:694)
at java.awt.EventQueue$3.run(EventQueue.java:692)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:154)
at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:182)
at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:221)
at java.security.AccessController.doPrivileged(Native Method)
at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:219)
at java.awt.Dialog.show(Dialog.java:1082)
at java.awt.Component.show(Component.java:1651)
at java.awt.Component.setVisible(Component.java:1603)
at java.awt.Window.setVisible(Window.java:1014)
at java.awt.Dialog.setVisible(Dialog.java:1005)
at org.openstreetmap.josm.gui.ExtendedDialog.setVisible(ExtendedDialog.java:476)
at org.openstreetmap.josm.gui.ExtendedDialog.showDialog(ExtendedDialog.java:269)
at org.openstreetmap.josm.tools.BugReportExceptionHandler$1.run(BugReportExceptionHandler.java:108)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
at java.awt.EventQueue.access$200(EventQueue.java:103)
at java.awt.EventQueue$3.run(EventQueue.java:694)
at java.awt.EventQueue$3.run(EventQueue.java:692)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:154)
at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:182)
at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:221)
at java.security.AccessController.doPrivileged(Native Method)
at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:219)
at java.awt.Dialog.show(Dialog.java:1082)
at java.awt.Component.show(Component.java:1651)
at java.awt.Component.setVisible(Component.java:1603)
at java.awt.Window.setVisible(Window.java:1014)
at java.awt.Dialog.setVisible(Dialog.java:1005)
at org.openstreetmap.josm.gui.ExtendedDialog.setVisible(ExtendedDialog.java:476)
at org.openstreetmap.josm.gui.ExtendedDialog.showDialog(ExtendedDialog.java:269)
at org.openstreetmap.josm.tools.BugReportExceptionHandler$1.run(BugReportExceptionHandler.java:108)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
at java.awt.EventQueue.access$200(EventQueue.java:103)
at java.awt.EventQueue$3.run(EventQueue.java:694)
at java.awt.EventQueue$3.run(EventQueue.java:692)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:154)
at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:182)
at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:221)
at java.security.AccessController.doPrivileged(Native Method)
at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:219)
at java.awt.Dialog.show(Dialog.java:1082)
at java.awt.Component.show(Component.java:1651)
at java.awt.Component.setVisible(Component.java:1603)
at java.awt.Window.setVisible(Window.java:1014)
at java.awt.Dialog.setVisible(Dialog.java:1005)
at org.openstreetmap.josm.gui.ExtendedDialog.setVisible(ExtendedDialog.java:476)
at org.openstreetmap.josm.gui.ExtendedDialog.showDialog(ExtendedDialog.java:269)
at org.openstreetmap.josm.tools.BugReportExceptionHandler$1.run(BugReportExceptionHandler.java:108)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
at java.awt.EventQueue.access$200(EventQueue.java:103)
at java.awt.EventQueue$3.run(EventQueue.java:694)
at java.awt.EventQueue$3.run(EventQueue.java:692)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:154)
at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:182)
at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:221)
at java.security.AccessController.doPrivileged(Native Method)
at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:219)
at java.awt.Dialog.show(Dialog.java:1082)
at java.awt.Component.show(Component.java:1651)
at java.awt.Component.setVisible(Component.java:1603)
at java.awt.Window.setVisible(Window.java:1014)
at java.awt.Dialog.setVisible(Dialog.java:1005)
at org.openstreetmap.josm.gui.ExtendedDialog.setVisible(ExtendedDialog.java:476)
at org.openstreetmap.josm.gui.ExtendedDialog.showDialog(ExtendedDialog.java:269)
at org.openstreetmap.josm.tools.BugReportExceptionHandler$1.run(BugReportExceptionHandler.java:108)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
at java.awt.EventQueue.access$200(EventQueue.java:103)
at java.awt.EventQueue$3.run(EventQueue.java:694)
at java.awt.EventQueue$3.run(EventQueue.java:692)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:154)
at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:182)
at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:221)
at java.security.AccessController.doPrivileged(Native Method)
at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:219)
at java.awt.Dialog.show(Dialog.java:1082)
at java.awt.Component.show(Component.java:1651)
at java.awt.Component.setVisible(Component.java:1603)
at java.awt.Window.setVisible(Window.java:1014)
at java.awt.Dialog.setVisible(Dialog.java:1005)
at org.openstreetmap.josm.gui.ExtendedDialog.setVisible(ExtendedDialog.java:476)
at org.openstreetmap.josm.gui.ExtendedDialog.showDialog(ExtendedDialog.java:269)
at org.openstreetmap.josm.tools.BugReportExceptionHandler$1.run(BugReportExceptionHandler.java:108)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
at java.awt.EventQueue.access$200(EventQueue.java:103)
at java.awt.EventQueue$3.run(EventQueue.java:694)
at java.awt.EventQueue$3.run(EventQueue.java:692)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:154)
at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:182)
at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:221)
at java.security.AccessController.doPrivileged(Native Method)
at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:219)
at java.awt.Dialog.show(Dialog.java:1082)
at java.awt.Component.show(Component.java:1651)
at java.awt.Component.setVisible(Component.java:1603)
at java.awt.Window.setVisible(Window.java:1014)
at java.awt.Dialog.setVisible(Dialog.java:1005)
at org.openstreetmap.josm.gui.ExtendedDialog.setVisible(ExtendedDialog.java:476)
at org.openstreetmap.josm.gui.ExtendedDialog.showDialog(ExtendedDialog.java:269)
at org.openstreetmap.josm.tools.BugReportExceptionHandler$1.run(BugReportExceptionHandler.java:108)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
at java.awt.EventQueue.access$200(EventQueue.java:103)
at java.awt.EventQueue$3.run(EventQueue.java:694)
at java.awt.EventQueue$3.run(EventQueue.java:692)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:154)
at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:182)
at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:221)
at java.security.AccessController.doPrivileged(Native Method)
at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:219)
at java.awt.Dialog.show(Dialog.java:1082)
at java.awt.Component.show(Component.java:1651)
at java.awt.Component.setVisible(Component.java:1603)
at java.awt.Window.setVisible(Window.java:1014)
at java.awt.Dialog.setVisible(Dialog.java:1005)
at org.openstreetmap.josm.gui.progress.PleaseWaitProgressMonitor$4.run(PleaseWaitProgressMonitor.java:172)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
at java.awt.EventQueue.access$200(EventQueue.java:103)
at java.awt.EventQueue$3.run(EventQueue.java:694)
at java.awt.EventQueue$3.run(EventQueue.java:692)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:154)
at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:182)
at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:221)
at java.security.AccessController.doPrivileged(Native Method)
at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:219)
at java.awt.Dialog.show(Dialog.java:1082)
at java.awt.Component.show(Component.java:1651)
at java.awt.Component.setVisible(Component.java:1603)
at java.awt.Window.setVisible(Window.java:1014)
at java.awt.Dialog.setVisible(Dialog.java:1005)
at org.openstreetmap.josm.gui.progress.PleaseWaitProgressMonitor$4.run(PleaseWaitProgressMonitor.java:172)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
at java.awt.EventQueue.access$200(EventQueue.java:103)
at java.awt.EventQueue$3.run(EventQueue.java:694)
at java.awt.EventQueue$3.run(EventQueue.java:692)
at java.security.AccessController.doPrivileged(Native Method)
at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)

comment:15 Changed 6 years ago by grinapo

But this one was _it_:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-09-12 01:35:27
Last Changed Author: Don-vip
Revision: 6232
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-09-11 00:58:39 +0200 (Wed, 11 Sep 2013)
Last Changed Rev: 6232

Identification: JOSM/1.5 (6232 en) Linux Debian GNU/Linux unstable (sid)
Memory Usage: 331 MB / 1765 MB (111 MB allocated, but free)
Java version: 1.7.0_25, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-7-jre:amd64-7u25-2.3.12-2
VM arguments: [-Xbootclasspath/a:/usr/share/icedtea-web/netx.jar:/usr/share/java/js.jar, -Xms8m, -Dicedtea-web.bin.name=javaws, -Dicedtea-web.bin.location=/usr/bin/javaws, -Djava.security.manager, -Djava.security.policy=/etc/icedtea-web/javaws.policy]
Dataset consistency test: No problems found

Plugin: AddrInterpolation (29854)
Plugin: DirectUpload (29866)
Plugin: ElevationProfile (29854)
Plugin: FixAddresses (29854)
Plugin: HouseNumberTaggingTool (29854)
Plugin: InfoMode (29854)
Plugin: PicLayer (29854)
Plugin: RoadSigns (29854)
Plugin: alignways (29854)
Plugin: buildings_tools (29854)
Plugin: dataimport (29854)
Plugin: download_along (29854)
Plugin: editgpx (29854)
Plugin: ext_tools (29854)
Plugin: fieldpapers (b49dadd)
Plugin: gpsblam (29832)
Plugin: graphview (29854)
Plugin: junctionchecking (29854)
Plugin: log4j (29853)
Plugin: mapdust (29854)
Plugin: measurement (29854)
Plugin: notes (v0.5)
Plugin: osmarender (29639)
Plugin: pbf (29854)
Plugin: photo_geotagging (29854)
Plugin: reltoolbox (29854)
Plugin: reverter (29854)
Plugin: routing (29854)
Plugin: scripting (30540)
Plugin: tageditor (29854)
Plugin: turnlanes (29854)
Plugin: turnrestrictions (29854)
Plugin: undelete (29854)
Plugin: utilsplugin2 (29854)
Plugin: videomapping (29854)
Plugin: walkingpapers (29854)
Plugin: waypoint_search (29854)
Plugin: wayselector (29854)

java.lang.AssertionError: Range violated. object: relation 1027784, current style: SC{[0.0, 238.86563848977013, Infinity] [null, [LineElemStyle{z_idx=[3.0/0.0/0.0] width=2.0 realWidth=0.0 color=#ff6600 dashed=[9.0] dashedColor=null linejoin=round linecap=none}]]}, scale: 152.84948175101, new stylelist: [LineElemStyle{z_idx=[3.0/0.0/0.0] width=2.0 realWidth=0.0 color=#ff6600 dashed=[9.0] dashedColor=null linejoin=round linecap=none}], new range: |s0.0-Infinity
	at org.openstreetmap.josm.gui.mappaint.ElemStyles.getStyleCacheWithRange(ElemStyles.java:118)
	at org.openstreetmap.josm.gui.mappaint.ElemStyles.get(ElemStyles.java:54)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer$StyleCollector.add(StyledMapRenderer.java:192)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.collectRelationStyles(StyledMapRenderer.java:403)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.render(StyledMapRenderer.java:1421)
	at org.openstreetmap.josm.gui.layer.OsmDataLayer.paint(OsmDataLayer.java:320)
	at org.openstreetmap.josm.gui.MapView.paintLayer(MapView.java:533)
	at org.openstreetmap.josm.gui.MapView.paint(MapView.java:628)
	at javax.swing.JComponent.paintChildren(JComponent.java:878)
	at javax.swing.JComponent.paint(JComponent.java:1054)
	at javax.swing.JComponent.paintToOffscreen(JComponent.java:5212)
	at javax.swing.BufferStrategyPaintManager.paint(BufferStrategyPaintManager.java:295)
	at javax.swing.RepaintManager.paint(RepaintManager.java:1236)
	at javax.swing.JComponent._paintImmediately(JComponent.java:5160)
	at javax.swing.JComponent.paintImmediately(JComponent.java:4971)
	at javax.swing.RepaintManager$3.run(RepaintManager.java:796)
	at javax.swing.RepaintManager$3.run(RepaintManager.java:784)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:784)
	at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:757)
	at javax.swing.RepaintManager.prePaintDirtyRegions(RepaintManager.java:706)
	at javax.swing.RepaintManager.access$1000(RepaintManager.java:62)
	at javax.swing.RepaintManager$ProcessingRunnable.run(RepaintManager.java:1647)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
	at java.awt.EventQueue.access$200(EventQueue.java:103)
	at java.awt.EventQueue$3.run(EventQueue.java:694)
	at java.awt.EventQueue$3.run(EventQueue.java:692)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:154)
	at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:182)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:221)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:219)
	at java.awt.Dialog.show(Dialog.java:1082)
	at java.awt.Component.show(Component.java:1651)
	at java.awt.Component.setVisible(Component.java:1603)
	at java.awt.Window.setVisible(Window.java:1014)
	at java.awt.Dialog.setVisible(Dialog.java:1005)
	at org.openstreetmap.josm.gui.ExtendedDialog.setVisible(ExtendedDialog.java:490)
	at org.openstreetmap.josm.gui.ExtendedDialog.showDialog(ExtendedDialog.java:283)
	at org.openstreetmap.josm.tools.BugReportExceptionHandler$1.run(BugReportExceptionHandler.java:108)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
	at java.awt.EventQueue.access$200(EventQueue.java:103)
	at java.awt.EventQueue$3.run(EventQueue.java:694)
	at java.awt.EventQueue$3.run(EventQueue.java:692)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)

comment:16 Changed 6 years ago by grinapo

Is there hope? :-)

comment:17 Changed 5 years ago by bastiK

Component: CoreCore mappaint

comment:18 Changed 3 years ago by grinapo

Resolution: worksforme
Status: newclosed

I haven't seen it since. I'd say it feels to have been self-healed.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.